## Package org.apache.lucene.queryParser.standard.parser

Lucene Query Parser

See:
Description

Interface Summary
StandardSyntaxParserConstants: Token literal values and constants.

Class Summary
EscapeQuerySyntaxImpl
JavaCharStream: An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (with java-like unicode escape processing).
StandardSyntaxParser
StandardSyntaxParserTokenManager: Token Manager.
Token: Describes the input token stream.

Exception Summary
ParseException: This exception is thrown when parse errors are encountered.

Error Summary
TokenMgrError: Token Manager Error.

## Package org.apache.lucene.queryParser.standard.parser Description

## Lucene Query Parser

The package org.apache.lucene.queryParser.standard.parser contains the query parser.

This text parser only performs the syntax validation and creates an QueryNode tree from a query string.